Up

# NSStepper

### Authors

Pierre-Yves Rivaille (`pyrivail@ens-lyon.fr`)

Copyright: (C) 2001 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSStepper class
2. Software documentation for the NSStepper(Private) category

# Software documentation for the NSStepper class

## NSStepper : NSControl

> Declared in:
>   AppKit/NSStepper.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_decrement
- -_increment
- -autorepeat
- -increment
- -maxValue
- -minValue
- -mouseDown:
- -setAutorepeat:
- -setIncrement:
- -setMaxValue:
- -setMinValue:
- -setValueWraps:
- -valueWraps

### autorepeat

- (BOOL) autorepeat;

Description forthcoming.

### increment

- (double) increment;

Description forthcoming.

### maxValue

- (double) maxValue;

Description forthcoming.

### minValue

- (double) minValue;

Description forthcoming.

### mouseDown:

- (void) mouseDown: (NSEvent*)event;

Description forthcoming.

### setAutorepeat:

- (void) setAutorepeat: (BOOL)autorepeat;

Description forthcoming.

### setIncrement:

- (void) setIncrement: (double)increment;

Description forthcoming.

### setMaxValue:

- (void) setMaxValue: (double)maxValue;

Description forthcoming.

### setMinValue:

- (void) setMinValue: (double)minValue;

Description forthcoming.

### setValueWraps:

- (void) setValueWraps: (BOOL)valueWraps;

Description forthcoming.

### valueWraps

- (BOOL) valueWraps;

Description forthcoming.

# Software documentation for the NSStepper(Private) category

## NSStepper(Private)

> Declared in:
>   AppKit/NSStepper.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Warning this category is private, which means that the methods are for internal use by the package. You should not use them in external code.

Method summary

- -_decrement
- -_increment

### _decrement

- (void) _decrement;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _increment

- (void) _increment;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up